/* c't Mikrocontroller-im-LAN Demo Source
 * Datei: adc.h
 * Info: Routinen zum Einlesen der Analogeingnge
 * Autor: Benjamin Benz (bbe@heise.de)
 * Datum: 24.06.04
 *
 * 26. Jan. 2005 wb
 *      Interrupt ADC-Complete
*/

/*
 * Liest einen analogen Kanal aus
 * Der Parameter ist die Nummer des Kanals (0 fr PA0, 1 fr PA1, ..)
 */
int read_adc(char channel);

/*
 * Initialisieren der AD-Wandlung und Neustart nach stopADC()
 */
void init_adc(void);

/*
 * Liefert die Temperatur der PT100 Sensoren in Hunderstel Grad Celsius zurck
 */
int pt100_read(char channel);

/*
 * Manchmal kann es sinnvoll sein das Teil zu stoppen...z.B. fr SLEEP-Mode
 * Zum erneuten starten dient init_adc();  
 */ 
void stopADC(void);


#define N_ADC_CHANNELS  3